# module ActionController

Includes `url_for` into the host class. The class has to provide a `RouteSet` by implementing the `_routes` method. Otherwise, an exception will be raised.

In addition to `AbstractController::UrlFor`, this module accesses the HTTP layer to define url options like the `host`. In order to do so, this module requires the host class to implement `env` and `request`, which need to be a Rack-compatible.

Example:

    class RootUrl
      include ActionController::UrlFor
      include Rails.application.routes.url_helpers

      delegate :env, :request, :to => :controller

      def initialize(controller)
        @controller = controller
        @url        = root_path # named route from the application.
      end
    end

### Constants

AbstractRequest
AbstractResponse
DoubleRenderError
Integration
IntegrationTest
PerformanceTest
Routing
UnknownAction

### Public Class Methods

add_renderer(key, &block) click to toggle source

See `Renderers.add`

    # File lib/action_controller/metal/renderers.rb, line 7
    def self.add_renderer(key, &block)
      Renderers.add(key, &block)
    end